<?xml version="1.0" encoding="iso-8859-1"?>

<!-- 
  Please see the license.html file included with this distribution for 
  attribution and copyright information.
-->

<root>
  <!-- audio record window -->
	<windowclass name="audiocollections">
		<script file="scripts/audiocollections.lua" />
		<frame>recordsheet</frame>
		<placement>
			<size width="350" height="300" />
		</placement>
		<sizelimits>
			<minimum width="350" height="300" />
			<dynamic />
		</sizelimits>
		<minimize>minimized_npc</minimize>
		<tooltip field="name" />
		<nodelete />
		<sheetdata>
			<sub_record_header name="header">
				<class>audiocollections_header</class>
			</sub_record_header>

			<frame_record_content_tabbed name="contentframe" />

			<subwindow_record name="main">
				<class>audiocollections_main</class>
			</subwindow_record>
			<ft_record name="notes">
				<anchored to="contentframe" position="over" />
				<empty textres="ft_empty" hidereadonly="true" />
				<invisible />
			</ft_record>

			<scrollbar_record>
				<target>main</target>
			</scrollbar_record>
			<scrollbar_record>
				<target>notes</target>
			</scrollbar_record>

			<tabs_recordsheet name="tabs">
				<tab>
					<icon>tab_main</icon>
					<subwindow>main</subwindow>
				</tab>
				<tab>
					<icon>tab_notes</icon>
					<subwindow>notes</subwindow>
				</tab>
			</tabs_recordsheet>
			
			<resize_recordsheet />
			<close_recordsheet />
		</sheetdata>
	</windowclass>
	
  <!-- audio object record header -->
	<windowclass name="audiocollections_header">
    <script file="scripts/audiocollections_header.lua" />
		<margins control="0,0,0,7" />
		<sheetdata>
			<link_record_header_id name="link">
				<class>audiocollections</class>
			</link_record_header_id>
			
			<anchor_record_header_right name="rightanchor" />
			<button_record_locked />

			<string_record_name_id name="name">
				<empty textres="library_recordtype_empty" />
			</string_record_name_id>
		</sheetdata>
	</windowclass>
	
  <!-- audio object record main -->
	<windowclass name="audiocollections_main">
		<margins control="0,0,0,2" />
		<script file="scripts/audiocollections_main.lua" />
		<sheetdata>
			<anchor_column name="columnanchor" />


			<label_column name="type_label">
				<static textres="audio_label_type" />
			</label_column>
			<string_columnh name="type" />

      <!-- collection of sounds -->
			<label name="collectionsounds_label">
        <anchored>
          <top parent="columnanchor" anchor="bottom" offset="15" relation="relative" /> 
          <left anchor="center" offset="-100" />
        </anchored>
				<static textres="audiocollections_label_collectionsounds" />
        <tooltip textres="audiocollections_tooltip_collectionsounds" />
			</label>
      <link_audiocollection name="shortcut">
        <anchored to="collectionsounds_label" position="right" offset="5" width="30" />
        <script>
          function onInit()
            local node = window.getDatabaseNode();
            setValue("audiocollection_link",node.getPath());
          end
        </script>
      </link_audiocollection>
      <label_fieldtop>
				<anchored to="shortcut" />
				<static textres="audiocollections_label_play" />
			</label_fieldtop>

      <link_audiocollection_stop name="stopshortcut">
        <anchored to="shortcut" position="right" offset="1" width="30" />
        <script>
          function onInit()
            local node = window.getDatabaseNode();
            setValue("audiocollectionstop_link",node.getPath());
          end
        </script>
      </link_audiocollection_stop>
      <label_fieldtop>
				<anchored to="stopshortcut" />
				<static textres="audiocollections_label_stop" />
			</label_fieldtop>

      <windowlist name="collectionsounds_list"> 
      <frame>reference-section</frame>
        <anchored>
          <sizelimits>
            <minimum height="20" />
          </sizelimits>    
          <top parent="collectionsounds_label" anchor="bottom" offset="15" relation="relative" /> 
          <left parent="" anchor="left" offset="5" />
          <right parent="" anchor="right" relation="relative" offset="5" />
        </anchored>
        <child></child>
        <child><backcolor>4040301E</backcolor></child>
        <noscroll />
        <empty font="list-empty" textres="audiotriggers_label_dropsounds" />
        <datasource>.collectionsoundlist</datasource>
        <class>window_collectionsound</class>
      </windowlist>      
      <footer_narrow>
        <anchored to="collectionsounds_list" />
      </footer_narrow>      
      <label name="play_label">
        <anchored>
          <bottom parent="collectionsounds_list" anchor="top" offset="0" /> 
          <left anchor="left" offset="15" />
        </anchored>
        <static textres="audiocollections_label_play" />
      </label>
      <label name="stopplay_label">
        <anchored>
          <bottom parent="collectionsounds_list" anchor="top" offset="0" /> 
          <right anchor="right" offset="-35" />
        </anchored>
        <static textres="audiocollections_label_stop" />
      </label>
      
		</sheetdata>
	</windowclass>

  <!-- collection sound windowlist -->
  <windowclass name="window_collectionsound" >
    <margins control="0,0,0,2" />
		<sheetdata>
			<anchor_column name="columnanchor" />
			<basicstring name="name">
        <anchored height="20" >
          <top parent="columnanchor" anchor="bottom" relation="relative" offset="7" />
          <left offset="35" />
          <right offset="-65" />
        </anchored>
        <script file="scripts/audio_links.lua" />
      </basicstring>  
      
      <link_audio name="audioshortcut">
        <anchored to="name" position="lefthigh" offset="5" height="20" width="20" />
      </link_audio>

      <link_audiostop name="audiostopshortcut">
        <anchored to="name" position="righthigh" offset="5" height="20" width="20" />
      </link_audiostop>

      <button_idelete_static name="idelete">
        <anchored width="20" height="20" >
          <top parent="name" anchor="top" />
          <right parent="" anchor="right" offset="-15" />
        </anchored>      
      </button_idelete_static>
    </sheetdata>
  </windowclass>

  <!-- collections PLAY link -->
  <windowclass name="audiocollection_link">
    <script>
      function onInit()
        local nodeTrigger = getDatabaseNode()
        for _,nodeEntry in pairs(DB.getChildren(nodeTrigger, "collectionsoundlist")) do
          local sSoundRoot = DB.getValue(nodeEntry,"sound");
          if (not sSoundRoot:find("@")) then
            sSoundRoot = sSoundRoot .. "@*";  
          end  
          AudioOverseer.playSoundRecord(DB.findNode(sSoundRoot),false,0.1);
        end
        close();
      end
    </script>
    <sheetdata>
    </sheetdata>
  </windowclass>
  <!-- collections STOP link -->
  <windowclass name="audiocollectionstop_link">
    <script>
      function onInit()
        local nodeTrigger = getDatabaseNode()
        for _,nodeEntry in pairs(DB.getChildren(nodeTrigger, "collectionsoundlist")) do
          local sSoundRoot = DB.getValue(nodeEntry,"sound");
          if (not sSoundRoot:find("@")) then
            sSoundRoot = sSoundRoot .. "@*";  
          end  
          AudioOverseer.playSoundRecord(DB.findNode(sSoundRoot),true,0.1);
        end

        close();
      end
    </script>
    <sheetdata>
    </sheetdata>
  </windowclass>

  <!-- templates -->
	<template name="link_audiocollection">
    <linkcontrol name="shortcut">
      <class>audiocollection_link</class>
      <icon normal="link_audio" pressed="link_audio_down" />
    </linkcontrol>
  </template>
	<template name="link_audiocollection_stop">
    <linkcontrol name="shortcut">
      <class>audiocollectionstop_link</class>
      <icon normal="link_audio_stop" pressed="link_audio_stop_down" />
    </linkcontrol>
  </template>
  <!-- end templates -->
</root>

